Home
Docs
GitHub
Get Sandworm Audit For Your App

🪱 Sandworm Audit For Your App

Run npx @sandworm/audit@latest in your app directory to generate an audit report.

We're launching Audit-as-a-service in the cloud soon! Register for early access:

array-index 1.0.0

Invoke getter/setter functions on array-like objects
Package Created
14 Jun 2012
Maintainers
1
Version Published
3 Jan 2016
Dependencies
11
Total Versions
10
License
MIT

Issues

1

high one high severity issue

Package uses postinstall script: " node -e "try{require('./_postinstall')}catch(e){}" || exit 0"
es5-ext@0.10.62 via: es6-symbol@3.1.3

Licenses

ISC License

Permissive OSI Approved

Can: commercial-use modify distribute
Cannot: hold-liable
Must: include-copyright include-license

d@1.0.1 es5-ext@0.10.62 es6-symbol@3.1.3 ext@1.7.0 next-tick@1.1.0 type@1.2.0 type@2.7.2

MIT License

Permissive OSI Approved

Can: commercial-use modify distribute sublicense private-use
Cannot: hold-liable
Must: include-copyright include-license

array-index@1.0.0 debug@2.6.9 es6-iterator@2.0.3 ms@2.0.0

Dependencies

11
Name Version Size License Type Vulnerabilities
array-index 1.0.0 5.52 kB MIT prod
d 1.0.1 6.28 kB ISC prod 1
debug 2.6.9 16.13 kB MIT prod
es5-ext 0.10.62 92.79 kB ISC prod 1
es6-iterator 2.0.3 8.07 kB MIT prod
es6-symbol 3.1.3 7.21 kB ISC prod 1
ext 1.7.0 8.35 kB ISC prod
ms 2.0.0 2.81 kB MIT prod
next-tick 1.1.0 3.67 kB ISC prod
type 1.2.0 17.68 kB ISC prod
type 2.7.2 19.86 kB ISC prod